package com.loafle.overflow.member.dao;

import com.loafle.overflow.commons.dao.JPABaseDAO;
import com.loafle.overflow.member.model.Member;

import javax.persistence.Query;

/**
 * Created by insanity on 17. 5. 25.
 */
public class JPAMemberDAO extends JPABaseDAO<Member> implements MemberDAO{
    public Member findByEmail(Member member) {

        Query query = getEntityManager().createNativeQuery("SELECT m.* FROM MEMBER m WHERE m.email = :email", Member.class);
        query.setParameter("email", member.getEmail());

        Member retMember = null;
        try {
            retMember = (Member)query.getSingleResult();
        }catch(Exception e) {
            e.printStackTrace();
        }finally {
            return retMember;
        }
    }
}
